Home » PowerCLI 10.0.0 – Error Invalid Server Certificate

PowerCLI 10.0.0 – Error Invalid Server Certificate

Overview

On the 28 of February VMware PowerCLI 10.0.0 was released. The biggest change in this release is the multi-platform support which includes the support for Mac OS and Linux. Oh and they kind of increased the version number a bit… from 6.5.X to 10.0.0 ;).

So I decided to upgrade PowerCLI in my Lab environment. In my Lab environment I have a Windows 10 virtual machine that runs as a Administrator Workstation. The upgrade was very smooth and it took about one minute but after the upgrade no connections were possible with my vCenter server.

The following error was displayed in the PowerShell prompt, screenshots are displayed below:
Error: Invalid server certificate. Use Set-PowerCLIConfiguration to set the value for the InvalidCertificateAction option to Prompt exception for this server.

It appears that they have changed the default PowerCLI behavoir regarding certificates.